package org.springblade.modules.appmenu.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.appmenu.entity.AppMenu;
import org.springblade.modules.appmenu.mapper.AppMenuMapper;
import org.springblade.modules.appmenu.service.IAppMenuService;
import org.springblade.modules.appmenu.vo.AppMenuVO;
import org.springblade.modules.appmenu.vo.RwtxListVO;
import org.springblade.modules.appmenu.vo.RwtxVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 *  服务实现类
 *
 * @author BladeX
 * @since 2022-11-21
 */
@Service
public class AppMenuServiceImpl extends ServiceImpl<AppMenuMapper, AppMenu> implements IAppMenuService {


	@Override
	public IPage<AppMenuVO> selectAppMenuPage(IPage<AppMenuVO> page, AppMenuVO appMenu) {
		return page.setRecords(baseMapper.selectAppMenuPage(page, appMenu));
	}

	@Override
	public Integer getQzgx(Map<String, Object> params) {
		return baseMapper.getQzgx(params);
	}

	@Override
	public List<RwtxVO> getRwtxList() {
		return baseMapper.getRwtxList();
	}

	@Override
	public RwtxListVO getRwtx(Long deptId) {
		return baseMapper.getRwtx(deptId);
	}

}
